## ocaml-version 3.6.7

=== debian/changelog ===
ocaml-version (3.6.7-1) unstable; urgency=medium

  * Initial release (Closes: #1075935)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 08 Jul 2024 05:39:46 +0200

## ocaml-version 3.6.8

=== debian/changelog ===
ocaml-version (3.6.8-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 29 Aug 2024 03:32:55 +0200

## ocaml-version 3.6.9

=== debian/changelog ===
ocaml-version (3.6.9-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Oct 2024 11:55:03 +0200

## ocaml-version 3.7.2

=== debian/changelog ===
ocaml-version (3.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 31 Dec 2024 17:45:46 +0100

## ocaml-version 3.7.3

=== debian/changelog ===
ocaml-version (3.7.3-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 16:15:17 +0100

ocaml-version (3.7.3-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 19 Jan 2025 12:14:23 +0100

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/ocurrent/ocaml-version/releases?per_page=50 \
https://github.com/ocurrent/ocaml-version/releases/download/[^/]+/ocaml-version-@ANY_VERSION@.tbz

## ocaml-version 4.0.0

=== debian/changelog ===
ocaml-version (4.0.0-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jun 2025 09:39:59 +0200

ocaml-version (4.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Apr 2025 08:34:18 +0200

## ocaml-version 4.0.3

=== Makefile ===

.PHONY: build clean test

build:
	dune build @install

doc:
	dune build @doc

test:
	dune runtest

install:
	dune install

uninstall:
	dune uninstall

clean:
	dune clean

## ocaml-version 4.0.1

=== debian/changelog ===
ocaml-version (4.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Aug 2025 07:48:09 +0200

=== debian/control ===
Source: ocaml-version
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 libalcotest-ocaml-dev <!nocheck>,
 dh-ocaml (>= 1.2)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-version
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-version.git
Homepage: https://github.com/ocurrent/ocaml-version

Package: libocaml-version-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: handle OCaml compiler version strings (dev)
 This library provides facilities to parse version numbers of the
 OCaml compiler, and enumerates the various official OCaml releases
 and configuration variants.
 .
 This package contains development files.

Package: libocaml-version-ocaml
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: handle OCaml compiler version strings (runtime)
 This library provides facilities to parse version numbers of the
 OCaml compiler, and enumerates the various official OCaml releases
 and configuration variants.
 .
 This package contains runtime files.

## ocaml-version 4.0.3

=== debian/changelog ===
ocaml-version (4.0.3-1) unstable; urgency=medium

  * New upstream release
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Fri, 17 Oct 2025 12:42:50 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
  ocaml-dune,
  libalcotest-ocaml-dev <!nocheck>,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-version
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-version.git
 Homepage: https://github.com/ocurrent/ocaml-version

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/ocurrent/ocaml-version/releases?per_page=50
Matching-Pattern: https://[^" ]+/ocaml-version-@ANY_VERSION@\.tbz
Searchmode: plain
